/* Defcon 19 CTF
 * again, same scoreboard...
 */

import java.io.*;
import java.lang.Thread;
import java.util.Date;
import java.text.DateFormat;
import java.util.*;

public class Scoreboard {
    public static void writeto(String filename, String content) {
        try {
            Writer sb = new BufferedWriter(new FileWriter(new File(filename)));
            sb.write(content);
            sb.close();
        } catch (Exception e) {
            System.out.println("Write into "+filename+" failed");
        }
    }
    
    public static String date() {
        DateFormat formatter =  DateFormat.getDateTimeInstance(DateFormat.LONG, DateFormat.LONG, Locale.getDefault());
        Date today = new Date();
        return formatter.format(today);
    }
    
    public static void main(String args[]) throws Exception
    {
        QualsClient client = new QualsClient("quals.ddtek.biz", 443);
        int i = 0;
        String scoreboard = null;
        
        client.login("StalkR","xxxxxxxx");
        do {
            String file = "scoreboard_"+(new Date()).getTime();
            writeto(file, client.scorelist);
            System.out.println("Scoreboard update #"+i+" "+date()+" ("+file+")"); i++;
            client.update();
            Thread.sleep(30*1000); // 30sec
        } while(true);
        //client.logout();
    }
}
